package com.usky.sas.common.hik;

public class HikNvrChannelInfo {
    private Integer channel;
    private String ipAddr;

    public HikNvrChannelInfo() {
    }

    public Integer getChannel() {
        return this.channel;
    }

    public String getIpAddr() {
        return this.ipAddr;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof HikNvrChannelInfo)) {
            return false;
        } else {
            HikNvrChannelInfo other = (HikNvrChannelInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$channel = this.getChannel();
                Object other$channel = other.getChannel();
                if (this$channel == null) {
                    if (other$channel != null) {
                        return false;
                    }
                } else if (!this$channel.equals(other$channel)) {
                    return false;
                }

                Object this$ipAddr = this.getIpAddr();
                Object other$ipAddr = other.getIpAddr();
                if (this$ipAddr == null) {
                    if (other$ipAddr != null) {
                        return false;
                    }
                } else if (!this$ipAddr.equals(other$ipAddr)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof HikNvrChannelInfo;
    }

    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        Object $channel = this.getChannel();
        result = result * PRIME + ($channel == null ? 43 : $channel.hashCode());
        Object $ipAddr = this.getIpAddr();
        result = result * PRIME + ($ipAddr == null ? 43 : $ipAddr.hashCode());
        return result;
    }

    public String toString() {
        return "HikNvrChannelInfo(channel=" + this.getChannel() + ", ipAddr=" + this.getIpAddr() + ")";
    }
}

